<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/mission/GameplayEffectWidgets/GEWidgetsMetaData.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d66/_g_e_widgets_meta_data_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">GEWidgetsMetaData.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d66/_g_e_widgets_meta_data_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">TODO - doxygen formating</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">*/</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="keyword">class </span><a class="code hl_class" href="../../d6/db9/class_gameplay_effects_data.html">GameplayEffectsData</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#ab9e453fb3c71fa6b1855d7a4b94c25aa">    8</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref Widget&gt;</a>     <a class="code hl_variable" href="../../d5/d78/group___enforce.html#ab9e453fb3c71fa6b1855d7a4b94c25aa">m_WidgetArray</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#af80a7fe99a655e982795104133967d5d">    9</a></span>    <span class="keywordtype">int</span>                                 <a class="code hl_variable" href="../../d5/d78/group___enforce.html#af80a7fe99a655e982795104133967d5d">m_Type</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a06e611f57518e47dd8c0b00382e70d1d">   10</a></span>    <span class="keywordtype">int</span>                                 <a class="code hl_variable" href="../../d5/d78/group___enforce.html#a06e611f57518e47dd8c0b00382e70d1d">m_WidgetSetIdentifier</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a321af7687f70022151814df5bb56d2b3">   11</a></span>    <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                              <a class="code hl_variable" href="../../d5/d78/group___enforce.html#a321af7687f70022151814df5bb56d2b3">m_LayoutRoot</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a0570ec734c5479ec798b9f39f364010f">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a0570ec734c5479ec798b9f39f364010f">GameplayEffectsData</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref Widget&gt;</a> input, <span class="keywordtype">int</span> type, <span class="keywordtype">int</span> user_override = -1)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_WidgetArray = input;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = type;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_WidgetSetIdentifier = type;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> (user_override != -1)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            m_WidgetSetIdentifier = user_override;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#aeed11e9aa1e537d836033593767cfc10">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#aeed11e9aa1e537d836033593767cfc10">Init</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref Widget&gt;</a> input, <span class="keywordtype">int</span> type, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> layout_root, <span class="keywordtype">int</span> user_override = -1)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_WidgetArray = input;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = type;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_WidgetSetIdentifier = type;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_LayoutRoot = layout_root;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">if</span> (user_override != -1)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            m_WidgetSetIdentifier = user_override;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a2df6f0829f05d06a9bff12ae8f3baade">   38</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref Widget&gt;</a> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a2df6f0829f05d06a9bff12ae8f3baade">GetWidgetSet</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> m_WidgetArray;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a4f7e8bfcc84e50af330978a853345024">   43</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a4f7e8bfcc84e50af330978a853345024">GetWidgetSetType</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a092a0d116a43360a53454216eb254994">   48</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a092a0d116a43360a53454216eb254994">GetWidgetSetID</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> m_WidgetSetIdentifier;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#ac6a6ebaaed7f51feae4e9ef7faf38099">   54</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#ac6a6ebaaed7f51feae4e9ef7faf38099">HasDefinedHandle</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#aa3998a546d64025919b1d50374440424">   59</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#aa3998a546d64025919b1d50374440424">DataInitialized</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a07e1e508f622ae05dd6302912886de55">   64</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a07e1e508f622ae05dd6302912886de55">UpdateVisibility</a>(<span class="keywordtype">bool</span> state){}</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#aeaf81d9c95e97b1c573171424d083005">   65</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#aeaf81d9c95e97b1c573171424d083005">RegisterData</a>(<a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> p){}</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a34a95b41afc0d251c4291eea08adbc5d">   66</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a34a95b41afc0d251c4291eea08adbc5d">Update</a>(<span class="keywordtype">float</span> timeSlice = 0, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> p = null, <span class="keywordtype">int</span> handle = -1){}</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>}</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="keyword">class </span><a class="code hl_function" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a557734f89e91e0b91e036b1da9009653">GameplayEffectsDataImage</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d6/db9/class_gameplay_effects_data.html">GameplayEffectsData</a></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>{</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a6e9237c24fffe95e7832b1e571160a3b">   71</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>  <a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a6e9237c24fffe95e7832b1e571160a3b">m_OriginalColors</a>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a5d160d6d4f217d0fbc89c3399c288536">   72</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>  <a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a5d160d6d4f217d0fbc89c3399c288536">m_CurrentColors</a>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#aa5fd27e5aec82b12dd78da508846cafa">   74</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>             <a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#aa5fd27e5aec82b12dd78da508846cafa">m_SaturationMultiplier</a>;<span class="comment">//TODO ?</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a557734f89e91e0b91e036b1da9009653">   76</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a557734f89e91e0b91e036b1da9009653">GameplayEffectsDataImage</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref Widget&gt;</a> input, <span class="keywordtype">int</span> type, <span class="keywordtype">int</span> user_override = -1)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        ImageWidget w;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a6e9237c24fffe95e7832b1e571160a3b">m_OriginalColors</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a5d160d6d4f217d0fbc89c3399c288536">m_CurrentColors</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; input.Count(); i++)</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(w,input.Get(i)) )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                <a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a6e9237c24fffe95e7832b1e571160a3b">m_OriginalColors</a>.Insert(w.GetColor());</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a5d160d6d4f217d0fbc89c3399c288536">m_CurrentColors</a>.Copy(<a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a6e9237c24fffe95e7832b1e571160a3b">m_OriginalColors</a>);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#ac7b2b1a5dbbea6058ff767e900c1b627">   93</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#ac7b2b1a5dbbea6058ff767e900c1b627">SetSaturationMultiplier</a>(<span class="keywordtype">float</span> value)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#aa5fd27e5aec82b12dd78da508846cafa">m_SaturationMultiplier</a> = value;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a9870caa07f5ae1ea42befd7afe7208fc">   98</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a9870caa07f5ae1ea42befd7afe7208fc">GetSaturationMultiplier</a>()</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#aa5fd27e5aec82b12dd78da508846cafa">m_SaturationMultiplier</a>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>}</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a812d906cd7f349347964e5021bdbb406">  104</a></span><span class="keyword">typedef</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int,ref GameplayEffectsData&gt;</a> <a class="code hl_typedef" href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a812d906cd7f349347964e5021bdbb406">GameplayEffectDataMap</a>;</div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_abfdaa01618f1af01d1a23e2611c0109f"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a></div><div class="ttdeci">eBleedingSourceType m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00025">BleedingSource.c:25</a></div></div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_g_e_widgets_meta_data_8c_html_a557734f89e91e0b91e036b1da9009653"><div class="ttname"><a href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a557734f89e91e0b91e036b1da9009653">GameplayEffectsDataImage</a></div><div class="ttdeci">void GameplayEffectsDataImage(array&lt; ref Widget &gt; input, int type, int user_override=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00076">GEWidgetsMetaData.c:76</a></div></div>
<div class="ttc" id="a_g_e_widgets_meta_data_8c_html_a5d160d6d4f217d0fbc89c3399c288536"><div class="ttname"><a href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a5d160d6d4f217d0fbc89c3399c288536">m_CurrentColors</a></div><div class="ttdeci">ref array&lt; int &gt; m_CurrentColors</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00072">GEWidgetsMetaData.c:72</a></div></div>
<div class="ttc" id="a_g_e_widgets_meta_data_8c_html_a6e9237c24fffe95e7832b1e571160a3b"><div class="ttname"><a href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a6e9237c24fffe95e7832b1e571160a3b">m_OriginalColors</a></div><div class="ttdeci">class GameplayEffectsData extends Managed m_OriginalColors</div></div>
<div class="ttc" id="a_g_e_widgets_meta_data_8c_html_a812d906cd7f349347964e5021bdbb406"><div class="ttname"><a href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a812d906cd7f349347964e5021bdbb406">GameplayEffectDataMap</a></div><div class="ttdeci">map&lt; int, ref GameplayEffectsData &gt; GameplayEffectDataMap</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00104">GEWidgetsMetaData.c:104</a></div></div>
<div class="ttc" id="a_g_e_widgets_meta_data_8c_html_a9870caa07f5ae1ea42befd7afe7208fc"><div class="ttname"><a href="../../d4/d66/_g_e_widgets_meta_data_8c.html#a9870caa07f5ae1ea42befd7afe7208fc">GetSaturationMultiplier</a></div><div class="ttdeci">float GetSaturationMultiplier()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00098">GEWidgetsMetaData.c:98</a></div></div>
<div class="ttc" id="a_g_e_widgets_meta_data_8c_html_aa5fd27e5aec82b12dd78da508846cafa"><div class="ttname"><a href="../../d4/d66/_g_e_widgets_meta_data_8c.html#aa5fd27e5aec82b12dd78da508846cafa">m_SaturationMultiplier</a></div><div class="ttdeci">protected float m_SaturationMultiplier</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00074">GEWidgetsMetaData.c:74</a></div></div>
<div class="ttc" id="a_g_e_widgets_meta_data_8c_html_ac7b2b1a5dbbea6058ff767e900c1b627"><div class="ttname"><a href="../../d4/d66/_g_e_widgets_meta_data_8c.html#ac7b2b1a5dbbea6058ff767e900c1b627">SetSaturationMultiplier</a></div><div class="ttdeci">void SetSaturationMultiplier(float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00093">GEWidgetsMetaData.c:93</a></div></div>
<div class="ttc" id="aclass_gameplay_effects_data_html"><div class="ttname"><a href="../../d6/db9/class_gameplay_effects_data.html">GameplayEffectsData</a></div><div class="ttdoc">Manages all bleeding indicators and their updates.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5a/_g_e_widgets_meta_data_bleeding_8c_source.html#l00003">GEWidgetsMetaDataBleeding.c:4</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___enforce_html_a0570ec734c5479ec798b9f39f364010f"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a0570ec734c5479ec798b9f39f364010f">Managed::GameplayEffectsData</a></div><div class="ttdeci">void GameplayEffectsData(array&lt; ref Widget &gt; input, int type, int user_override=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00013">GEWidgetsMetaData.c:13</a></div></div>
<div class="ttc" id="agroup___enforce_html_a06e611f57518e47dd8c0b00382e70d1d"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a06e611f57518e47dd8c0b00382e70d1d">Managed::m_WidgetSetIdentifier</a></div><div class="ttdeci">int m_WidgetSetIdentifier</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00010">GEWidgetsMetaData.c:10</a></div></div>
<div class="ttc" id="agroup___enforce_html_a07e1e508f622ae05dd6302912886de55"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a07e1e508f622ae05dd6302912886de55">Managed::UpdateVisibility</a></div><div class="ttdeci">void UpdateVisibility(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00064">GEWidgetsMetaData.c:64</a></div></div>
<div class="ttc" id="agroup___enforce_html_a092a0d116a43360a53454216eb254994"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a092a0d116a43360a53454216eb254994">Managed::GetWidgetSetID</a></div><div class="ttdeci">int GetWidgetSetID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00048">GEWidgetsMetaData.c:48</a></div></div>
<div class="ttc" id="agroup___enforce_html_a2df6f0829f05d06a9bff12ae8f3baade"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a2df6f0829f05d06a9bff12ae8f3baade">Managed::GetWidgetSet</a></div><div class="ttdeci">array&lt; ref Widget &gt; GetWidgetSet()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00038">GEWidgetsMetaData.c:38</a></div></div>
<div class="ttc" id="agroup___enforce_html_a321af7687f70022151814df5bb56d2b3"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a321af7687f70022151814df5bb56d2b3">Managed::m_LayoutRoot</a></div><div class="ttdeci">Widget m_LayoutRoot</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00011">GEWidgetsMetaData.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_a34a95b41afc0d251c4291eea08adbc5d"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a34a95b41afc0d251c4291eea08adbc5d">Managed::Update</a></div><div class="ttdeci">void Update(float timeSlice=0, Param p=null, int handle=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00066">GEWidgetsMetaData.c:66</a></div></div>
<div class="ttc" id="agroup___enforce_html_a4f7e8bfcc84e50af330978a853345024"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a4f7e8bfcc84e50af330978a853345024">Managed::GetWidgetSetType</a></div><div class="ttdeci">int GetWidgetSetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00043">GEWidgetsMetaData.c:43</a></div></div>
<div class="ttc" id="agroup___enforce_html_aa3998a546d64025919b1d50374440424"><div class="ttname"><a href="../../d5/d78/group___enforce.html#aa3998a546d64025919b1d50374440424">Managed::DataInitialized</a></div><div class="ttdeci">bool DataInitialized()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00059">GEWidgetsMetaData.c:59</a></div></div>
<div class="ttc" id="agroup___enforce_html_ab9e453fb3c71fa6b1855d7a4b94c25aa"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ab9e453fb3c71fa6b1855d7a4b94c25aa">Managed::m_WidgetArray</a></div><div class="ttdeci">protected ref array&lt; ref Widget &gt; m_WidgetArray</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00008">GEWidgetsMetaData.c:8</a></div></div>
<div class="ttc" id="agroup___enforce_html_ac6a6ebaaed7f51feae4e9ef7faf38099"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ac6a6ebaaed7f51feae4e9ef7faf38099">Managed::HasDefinedHandle</a></div><div class="ttdeci">bool HasDefinedHandle()</div><div class="ttdoc">Returns 'true' if this class contains update info.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00054">GEWidgetsMetaData.c:54</a></div></div>
<div class="ttc" id="agroup___enforce_html_aeaf81d9c95e97b1c573171424d083005"><div class="ttname"><a href="../../d5/d78/group___enforce.html#aeaf81d9c95e97b1c573171424d083005">Managed::RegisterData</a></div><div class="ttdeci">void RegisterData(Param p)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00065">GEWidgetsMetaData.c:65</a></div></div>
<div class="ttc" id="agroup___enforce_html_aeed11e9aa1e537d836033593767cfc10"><div class="ttname"><a href="../../d5/d78/group___enforce.html#aeed11e9aa1e537d836033593767cfc10">Managed::Init</a></div><div class="ttdeci">void Init(array&lt; ref Widget &gt; input, int type, Widget layout_root, int user_override=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00025">GEWidgetsMetaData.c:25</a></div></div>
<div class="ttc" id="agroup___enforce_html_af80a7fe99a655e982795104133967d5d"><div class="ttname"><a href="../../d5/d78/group___enforce.html#af80a7fe99a655e982795104133967d5d">Managed::m_Type</a></div><div class="ttdeci">int m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d66/_g_e_widgets_meta_data_8c_source.html#l00009">GEWidgetsMetaData.c:9</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_dd/d17/class_managed"><div class="ttname"><a href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div><div class="ttdoc">TODO doc.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00117">EnScript.c:118</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_c7836c6bb61da4d1a1e0f4a4f0470d18.html">mission</a></li><li class="navelem"><a class="el" href="../../dir_7341ede291395dfcf3988ccb3b974a33.html">GameplayEffectWidgets</a></li><li class="navelem"><a class="el" href="../../d4/d66/_g_e_widgets_meta_data_8c.html">GEWidgetsMetaData.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
